System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.TypeConverter

provides methods that can be used to retrieve a list of data sources accessible to the current design-time component.

This type converter is used by vsprvslong to provide the values that appear in the list of data sources in the Properties window.

You should never access a type converter directly. Instead, call the appropriate converter by using . For more information, see the examples in the base class.

For more information about type converters, see the base class and How to: Implement a Type Converter.

Provides a type converter that can retrieve a list of data sources accessible to the current component.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Gets a value indicating whether the converter can convert an object of the specified source type to the native type of the converter.

  true if the converter can perform the conversion; otherwise, false.

  As implemented in this class, this method always returns false.

  An that can be used to gain additional context information. A that represents the type you want to convert from. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` To be added.

  Converts the specified object to the native type of the converter.

  An that represents the specified object after conversion.

  An that can be used to gain additional context information. The that can be used to support localization features. The to convert. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The data sources that are accessible to the component are determined by retrieving a list of components from the designer, testing each component with the method, and then returning the components that are valid data sources.

  Gets the standard data sources accessible to the control.

  A listing the standard accessible data sources.

  An indicating the component or control to get values for. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  If the list is exclusive, such as in an enumeration data type, then no other values are valid. If the list is not exclusive, then there are other valid values besides the list of standard values that provides.

  Gets a value indicating whether the collection of standard values returned from is a list of all possible values.

  true if the returned from is an exclusive list of all possible values; false if other values are possible.

  As implemented in this class, this method always returns false.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Gets a value indicating whether the converter supports a standard set of values that can be picked from a list.

  true if should be called to find a common set of values the object supports; otherwise, false. This implementation always returns true.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Boolean ``

  The method uses the method to determine the components that are available as standard accessible data sources. For the class, a valid data source is a component that implements the or interface.

  Indicates whether the specified component is a valid data source for this converter.

  true if implements or ; otherwise, false.

  The component to check as a valid data source.